<?php
/**
	* Define Theme Version
 */
define( 'COMOXA_THEME_VERSION', '2.7' );	
	
function comoxa_css() {
	$parent_style = 'gradiant-parent-style';
	wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'comoxa-style', get_stylesheet_uri(), array( $parent_style ));
	
	wp_enqueue_style('comoxa-color-default',get_stylesheet_directory_uri() .'/assets/css/color/default.css');
	wp_dequeue_style('gradiant-default');
	
	wp_enqueue_style('comoxa-media-query',get_stylesheet_directory_uri().'/assets/css/responsive.css');
	wp_dequeue_style('gradiant-media-query');

}
add_action( 'wp_enqueue_scripts', 'comoxa_css',999);


function comoxa_setup()	{	

	add_theme_support( 'custom-header', apply_filters( 'comoxa_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => 'ffffff',
		'width'                  => 2000,
		'height'                 => 200,
		'flex-height'            => true,
		'wp-head-callback'       => 'gradiant_header_style',
	) ) );
	
}
add_action( 'after_setup_theme', 'comoxa_setup' );



/**
 * Dynamic Styles
 */
if( ! function_exists( 'comoxa_dynamic_style' ) ):
    function comoxa_dynamic_style() {

		$output_css = '';
		
			
		 /**
		 *  Breadcrumb Style
		 */
		$comoxa_hs_breadcrumb	= get_theme_mod('hs_breadcrumb','1');	
		
		if($comoxa_hs_breadcrumb == '') { 
				$output_css .=".gradiant-content {
					padding-top: 200px;
				}\n";
			}
		
		
		/**
		 *  Parallax
		 */
		$comoxa_footer_parallax_enable	= get_theme_mod('footer_parallax_enable','1');	
		$comoxa_footer_parallax_margin	= get_theme_mod('footer_parallax_margin','775');	
		
		if($comoxa_footer_parallax_enable =='1'):
			 $output_css .="@media (min-width: 992px){.footer-parallax #content.gradiant-content { 
					 margin-bottom: ".esc_attr($comoxa_footer_parallax_margin)."px;
			 }}\n";	
		endif; 	
		
        wp_add_inline_style( 'comoxa-style', $output_css );
    }
endif;
add_action( 'wp_enqueue_scripts', 'comoxa_dynamic_style',999);


/**
 * Remove Customize Panel from parent theme
 */
function comoxa_remove_parent_setting( $wp_customize ) {
	$wp_customize->remove_control('hdr_nav_cart');	
	$wp_customize->remove_control('hide_show_cart');	
	$wp_customize->remove_control('hdr_nav_btn');	
	$wp_customize->remove_control('hide_show_nav_btn');	
	$wp_customize->remove_control('nav_btn_icon');
	$wp_customize->remove_control('nav_btn_lbl');	
	$wp_customize->remove_control('nav_btn_link');		
}
add_action( 'customize_register', 'comoxa_remove_parent_setting',99 );



/**
 * Called all the Customize file.
 */
require( get_stylesheet_directory() . '/inc/customize/comoxa-premium.php');

/**
 * Import Options From Parent Theme
 *
 */
function comoxa_parent_theme_options() {
	$gradiant_mods = get_option( 'theme_mods_gradiant' );
	if ( ! empty( $gradiant_mods ) ) {
		foreach ( $gradiant_mods as $gradiant_mod_k => $gradiant_mod_v ) {
			set_theme_mod( $gradiant_mod_k, $gradiant_mod_v );
		}
	}
}
add_action( 'after_switch_theme', 'comoxa_parent_theme_options' );